package com.gmei

// import org.apache.flink.api.scala._
import org.apache.flink.streaming.api.scala._

object Main {
  def main(args: Array[String]): Unit = {
    println("hello")
    val env = StreamExecutionEnvironment.getExecutionEnvironment

    val socketStream = env.socketTextStream("localhost", 9000)

    // val a = env.fromElements(1, 2, -3, 0, 5, -9, 8)
    // val b = a.map(_ + 1)

    // b.print()

    val wordsStream = socketStream.flatMap(value => value.split("\\s+")).map(value => (value, 1))

    val keyValuePair = wordsStream.keyBy(0)

    val countPair = keyValuePair.sum(1)

    countPair.print

    env.execute
  }
}
